*******************************************************************************
* baseline regressions
*******************************************************************************

preserve
	keep if public == 1
	estimates clear
	** column 2 **
	qui eststo: areg tuition_and_fees sticker i.state_fe i.year i.cohort, absorb(inst_fe) vce(clu inst_inState_clu)
	summ tuition_and_fees if e(sample) == 1
	** column 1 **
	qui eststo: areg tuition_and_fees inState i.state_fe i.year i.cohort, absorb(inst_fe) vce(clu inst_inState_clu)
	summ tuition_and_fees if e(sample) == 1
	** column 3 **
	qui eststo: areg tuition_and_fees sticker inState i.state_fe i.year i.cohort, absorb(inst_fe) vce(clu inst_inState_clu)
	summ tuition_and_fees if e(sample) == 1
	** column 5 **
	qui eststo: areg netcst_constructed sticker i.state_fe i.year i.cohort, absorb(inst_fe) vce(clu inst_inState_clu)
	summ netcst_constructed if e(sample) == 1
	** column 4 **
	qui eststo: areg netcst_constructed inState i.state_fe i.year i.cohort, absorb(inst_fe) vce(clu inst_inState_clu)
	summ netcst_constructed if e(sample) == 1
	** column 6 **
	qui eststo: areg netcst_constructed sticker inState i.state_fe i.year i.cohort, absorb(inst_fe) vce(clu inst_inState_clu)
	summ netcst_constructed if e(sample) == 1

	esttab using "../output/public_base_instbyinState_clu.rtf", replace ///
	starlevels(* 0.1 ** 0.05 *** 0.01) b(%9.4g) se(%9.4f) keep(inState sticker _cons) r2 ///
	scalars("df_m Model df" "df_r Residual df" "r2_a Adj R2") ///
	addnote("All specifications include university and student state FE." ///
	"netcst9 measures tuition and fees minus all grants." ///
	"Sample consists of four-year, full-time, public institution students." ///
	"tuition_and_fees measures tuition + fees owed by the student" ///
	"sticker measures the sticker price of tuition, adjusted for whether a student is in or out of state" ///
	"Standard errors clustered on institution-by-inState" ///
	"* p$<$0.1 ** p$<$0.05 *** p$<$0.01") nonotes

	esttab using "../output/public_base_instbyinState_clu.tex", replace ///
	starlevels(* 0.1 ** 0.05 *** 0.01) b(%9.4g) se(%9.4f) keep(inState sticker _cons) r2 ///
	scalars("df_m Model df" "df_r Residual df" "r2_a Adj R2") ///
	addnote("All specifications include university and student state FE." ///
	"netcst9 measures tuition and fees minus all grants." ///
	"Sample consists of four-year, full-time, public institution students." ///
	"tuition_and_fees measures tuition + fees owed by the student" ///
	"sticker measures the sticker price of tuition, adjusted for whether a student is in or out of state" ///
	"Standard errors clustered on institution-by-inState" ///
	"* p$<$0.1 ** p$<$0.05 *** p$<$0.01") nonotes
restore
