* choice analysis *
keep if accept == 1

* generate relevant tuition measure *
gen tuition_relevant=.
replace tuition_relevant=(instate_tuition+instate_fees)/1000 if inState==1
replace tuition_relevant=(outstate_tuition+outstate_fees)/1000 if inState==0

bysort inState: sum tuition_relevant 

* drop cases with missing values for attend *
drop if attend==-9

* focus on 4-year institutions *
drop if iclevel==3
drop if iclevel==2

* focus on institutions that appear at least 10 times *
bys unitid: egen unitid_count = count(unitid)
tab unitid_count
keep if unitid_count>9

* focus on cases with at least two institutions in the choice set
bys id: egen num_acc = count(unitid)
tab num_acc
keep if num_acc > 1
	
* focus on cases with only one choice from the choice set *	
bys id: egen num_attend = sum(attend)
tab num_attend
keep if num_attend==1

* change distance to 1000's and generate quadratic distance measure *
replace distance_res_coll=distance_res_coll/1000
gen distance_res_coll2=distance_res_coll^2

* also generate natural log distance measure *
gen ldistance_res_coll=ln(distance_res_coll+0.001)

* generate median test score measure *
gen selectivity=0.5*(sat_act_75pctl+sat_act_25pctl)
	
* logit models with instution fe (don't need selectivity variable) *
** column 3 **
asclogit attend inState tuition_relevant distance_res_coll*, case(id) alternatives(unitid) nonrtolerance
** column 1 **
asclogit attend inState distance_res_coll*, case(id) alternatives(unitid) nonrtolerance
** column 2 **
asclogit attend tuition_relevant distance_res_coll*, case(id) alternatives(unitid) nonrtolerance
