*Format zipcode distances

*Parse and create Stata files
foreach year in 1990 2000 2010 2012 2013 2014 {
	insheet using "output/zipDists_`year'.csv", double clear //n=
	if `year'!=2000 {
		rename zipcode zipNum
		gen zipcode=string(zipNum,"%05.0f") //give leading zeroes for zip codes with only four digits, use string for zips like "351HH"
	}
	else {
		gen zipNum=real(zipcode) //create zipNum for 2000 data; this will generate missing values for zipcodes like "351HH"
	}
	if `year'<2010 {
		label variable state_fips "State fips code: Census determined"
		label variable gis_stfips "State fips code: GIS determined"
	}
	else {
		rename state_fips stfips_2000
		label variable stfips_2000 "Census FIPS in 2000"
		rename gis_stfips state_fips
		label variable state_fips "State fips code: GIS determined"
	}
	sort state_fips
	merge m:1 state_fips using "input/state_fips.dta", keepusing(state_name st_abbrev)
	drop if _merge==2
	drop _merge
	do code/label_zipdists.do
	drop if state_fips==2|state_fips==15|state_fips==72 //AK, HI, PR
	drop if state_fips==. //St. Croix (ex: 00801), American Samoa (ex: 96799)
	order state_fips st_abbrev state_name zipcode zip_long zip_lat
	sort zipcode state_fips
	save "output/zipDists_`year'.dta", replace
}

